:root {
    --chartTitle: #DDD;
    --chartBakcground: #555;
    --chartAxis: #AAA;
    --chartLabel: #fff;
}

body {
    font-family: Arial, sans-serif;
    background-color: #304264;
    margin: 0;
    padding: 0;
    color: #fff;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #25334d;
    padding: 10px 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    position: fixed;
    top: 0;
    width: 98%;
    z-index: 1000;
}

.header-left {
    font-size: 24px;
}

.header-right {
    font-size: 16px;
}

.main {
    padding-top: 80px; /* Espacio para el header */
    padding-left: 20px;
    padding-right: 20px;
    text-align: center;
}

.forecast {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-top: 20px;
}

.day {
    background-color: #25334d;
    border-radius: 5px;
    margin: 15px;
    width: 20%;
    display: flex;
    height: 280px;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}

.day-top, .day-bottom {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
    height: 160px;
    width: 94%;
}

.day-image {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.icon {
    font-size: 50px;
}

.label-description {
    font-size: 16px;
    margin-top: 5px;
}

.day-temp {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 10px;
}

.label-temp-high, .label-temp-low {
    font-size: 24px;
}

.day-bottom {
    background-color: #666;
    border-top: 1px solid #777;
}

.label-name, .label-date {
    font-size: 18px;
    margin: 5px 0;
}

.footer {
    background-color: #25334d;
    padding: 10px 20px;
    text-align: center;
    position: fixed;
    bottom: 0;
    width: 100%;
    box-shadow: 0 -5px 10px rgba(0, 0, 0, 0.5);
}

/* Mobile View */
@media (max-width: 480px) {
    .forecast {
        flex-direction: column;
        align-items: center;
    }
    
    .day {
        width: 80%;
        margin: 10px 0;
    }

    .day-top {
        flex-direction: row;
        justify-content: space-between;
    }
    
    .day-image, .day-temp {
        flex-direction: row;
        align-items: center;
    }

    .day-bottom {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }
    
    .icon {
        font-size: 40px;
    }

    .label-description {
        font-size: 14px;
        margin-left: 10px;
    }

    .label-temp-high, .label-temp-low {
        font-size: 20px;
    }

    .label-name, .label-date {
        font-size: 16px;
    }
}

@media (max-width: 768px) {
    .day {
        width: 45%;
        margin: 15px;
    }
}

@media (max-width: 1024px) {
    .day {
        width: 30%;
        margin: 15px;
    }
}


@media (min-width: 1025px) and (max-width: 1440px) {
    .day {
        width: 23%;
    }
}


@media (min-width: 1441px) {
    .day {
        width: 20%;
    }
}

#chart {
    position: relative;
    float: left;
    width: calc(100% - 20%);
    height: 500px;
    margin: 10px;
}

#chart svg{
    width: 100%;
    height: 200%;
}

.red {
    stroke: #e72222;
    stroke-width: 1px;
}

.blue {
    stroke: rgb(19, 128, 223);
    stroke-width: 1px;
    fill: azure;
}

.green {
    stroke: rgb(19, 201, 19);
    stroke-width: 1px;
    fill: azure;
}

.purple {
    stroke: #707;
    stroke-width: 1px;
    fill: #909;
}

.silver {
    stroke: #AAA;
    stroke-width: 1px;
    fill: #CCC;
}

.text {
    font-size: 24pt;
    font-weight: bold;
    text-anchor: middle;
}

.chart-title {
    fill: #DDD;
    font-size: 14pt;
}

.axis-line {
    stroke: #AAA;
    stroke-width: 1px;
}

.axis-text {
    fill: #AAA;
    font-size: 10pt;
}

.align-right {
    text-anchor: end;
}

.alighn-center {
    text-anchor: middle;
}

.column {
    stroke: #AAA;
    stroke-width: 1px;
    fill: #CCC;
}

.label-text {
    fill: var(--chartLabel);
}

.column-max {
    fill: orange;
}

.column-min {
    fill: lightblue;
}

.textTemp {
    fill: #f1f1f1;
}